<?php
/**
*
* @package acp
* @version $Id$
* @copyright (c) 2005 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}
class acp_sportsbook
{
   var $u_action;

   function main($id, $mode)
   {
      global $db, $user, $auth, $template;
      global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;
      global $table_prefix, $cache;
      
      include($phpbb_root_path . 'includes/sportsbook/common.' . $phpEx);
      
      $user->add_lang(array('mods/sportsbook/acp/sportsbook'));
      $this->page_title = 'ACP_SPORTSBOOK';
      //$this->tpl_name = 'sportsbook/acp_sportsbook';
      
      $action		= request_var('action', '');
      
      switch($mode)
      {
         case 'intro':
            $this->page_title = 'ACP_SPORTSBOOK';
            $this->tpl_name = 'sportsbook/intro';
            
            //include($phpbb_root_path . 'includes/sportsbook/acp/intro.' . $phpEx);
            // do we have outstanding fixtures?
            $fixtures = $sportsbook->gen_fixtures(FIXTURES_OUTSTANDING);
            
            $template->assign_vars(array(
              'S_ERROR_NO_LEAGUES'  => (sizeof($sportsbook->leagues)) ? '' : $user->lang['ERROR_INTRO_NO_LEAGUES'],
              'S_ERROR_FIXTURES_OUTSTANDING'  => (sizeof($fixtures['days'])) ? true : false)
             );
            break;
            
         case 'general':
            $this->page_title = 'ACP_SPORTSBOOK';
            $this->tpl_name = 'sportsbook/general_config';
            
            $s_hidden_fields = '';
            $options = array();
            $boxes = array();
            $options['leaderboard_limit'] = $options['prediction_calc_limit'] = $options['month_advance'] = 
            $options['hourbox_start'] = $options['hourbox_end'] = $options['minute_increment'] = array();
            
            if ($sumbit = request_var('submit', ''))
            {
              $config_names = array_keys($sportsbook->config);
              $params = utf8_normalize_nfc(request_var('config', array('' => '')));
              
              $sportsbook->update_config($params);
              trigger_error($user->lang['CONFIG_UPDATE_SUCCESS'] . adm_back_link($this->u_action));
            }
            
            if ($restore = request_var('restore_defaults', ''))
            {
              $defaults = array(
                'leaderboard_limit' =>  10,
                'prediction_calc_limit' =>  50,
                'month_advance' =>  1,
                'hourbox_start' =>  12,
                'hourbox_end' =>  20,
                'minutebox_increment' =>  5
              );
              
              if (confirm_box(true))
              {
                $sportsbook->update_config($defaults);
                trigger_error($user->lang['CONFIG_UPDATE_SUCCESS'] . adm_back_link($this->u_action));
              }
              else
              {
                confirm_box(false, $user->lang['CONFIRM_CONFIG_RESTORE'], build_hidden_fields(array(
                  'restore_defaults'  =>  'restore_defaults')
                ));
            	}
            }
            
            for ($i = 5; $i < 35; $i = ($i +5))
            {
              $options['leaderboard_limit'][$i] = array(
                'selected'  =>  ($sportsbook->config['leaderboard_limit'] == $i) ? true : false,
                'value' =>  ($i < 10) ? '0' . $i : $i
              );
            }
            
            for ($i = 10; $i < 110; $i = ($i +10))
            {
              $options['prediction_calc_limit'][$i] = array(
                'selected'  =>  ($sportsbook->config['prediction_calc_limit'] == $i) ? true : false,
                'value' =>  $i
              );
            }
            
            for ($i = 1; $i < 7; $i++)
            {
              $options['month_advance'][$i] = array(
                'selected'  =>  ($sportsbook->config['month_advance'] == $i) ? true : false,
                'value' =>  '0' . $i
              );
            }
            
            for ($i = 1; $i < 17; $i++)
            {
              $options['hourbox_start'][$i] = array(
                'selected'  =>  ($sportsbook->config['hourbox_start'] == $i) ? true : false,
                'value' =>  ($i < 10) ? '0' . $i : $i
              );
            }
            
            for ($i = 23; $i > 12; $i--)
            {
              $options['hourbox_end'][$i] = array(
                'selected'  =>  ($sportsbook->config['hourbox_end'] == $i) ? true : false,
                'value' =>  $i
              );
            }
            
            for ($i = 5; $i < 20; $i = ($i+5))
            {
              $options['minutebox_increment'][$i] = array(
                'selected'  =>  ($sportsbook->config['minutebox_increment'] == $i) ? true : false,
                'value' =>  ($i < 10) ? '0' . $i : $i
              );
            }
            
            foreach ($options as $k => $v)
            {
              $key = strtoupper($k) . '_OPTIONS';
              $template->assign_vars(array(
                 $key =>  $sportsbook->make_select_options($v))
              );
            } 
            
            $template->assign_vars(array(
              'S_HIDDEN_FIELDS' => $s_hidden_fields,
              'U_ACTION'				=> $this->u_action)
            );
            break;
         
         case 'leagues':
            $this->page_title = 'ACP_SPORTSBOOK';
            $this->tpl_name = 'sportsbook/leagues_config';
            
            //include($phpbb_root_path . 'includes/sportsbook/acp/league_config.' . $phpEx);
            $league_teams = $sportsbook->gen_league_teams();
            $navigation = $user->lang['LEAGUE_CONFIG'];
            $u_sel_action = '';
            $league_box = '';
            
            if ($action == 'add_league')
            {
              $new_league		= request_var('league_name', '');
              if ($new_league)
              {
                $league_data_sql = array('league_name'  =>  $new_league);
                $sql = 'INSERT INTO ' . SPORTSBOOK_LEAGUES_TABLE . ' ' . $db->sql_build_array('INSERT', $league_data_sql);
            		$db->sql_query($sql);
            		
            		$cache->destroy('sql', SPORTSBOOK_LEAGUES_TABLE);
            		trigger_error($user->lang['LEAGUE_ADD_SUCCESS'] . adm_back_link($this->u_action));
              }
            }
            
            if ($action == 'delete_league')
            { 
              $delete_league = request_var('league', 0);
              
              if (isset($league_teams[$delete_league]))
              {
                trigger_error($user->lang['LEAGUE_DELETION_DENIED'] . adm_back_link($this->u_action), E_USER_WARNING);
              }
              
              if (confirm_box(true))
              {
                // delete the league
                $sql = 'DELETE FROM ' . SPORTSBOOK_LEAGUES_TABLE . '
              	 WHERE league_id=' . (int) $delete_league;
              	$db->sql_query($sql);
              	
              	$cache->destroy('sql', SPORTSBOOK_LEAGUES_TABLE);
              	
                trigger_error($user->lang['LEAGUE_DELETION_SUCCESS'] . adm_back_link($this->u_action));
              }
              else
              {
                confirm_box(false, sprintf($user->lang['CONFIRM_LEAGUE_DELETION'], $sportsbook->leagues[$delete_league]), build_hidden_fields(array(
              		'league'	=> $delete_league,
              		'mode'		=> $mode,
              		'action'	=> $action))
              	);
            	}
            }
            
            if ($action == 'edit_league')
            {
               $league_id = request_var('league', 0);
               $update = request_var('update', false);
               $addteams = request_var('addteams', false);
               $delete_team = request_var('delete_team', 0);
               
               $navigation = '<a href="' . $this->u_action . '">' . $user->lang['LEAGUE_CONFIG'] . '</a> -&gt; ' . $user->lang['LEAGUE_CONFIG_EDIT'] . ' [' . $sportsbook->leagues[$league_id] . ']';
                  
               $this->tpl_name = 'sportsbook/leagues_config_edit';
               $u_sel_action = $this->u_action . "&amp;action=edit_league";
               $this->u_action = $this->u_action . "&amp;action=edit_league&amp;league=" . $league_id;
                  
               $teamlist = (isset($league_teams[$league_id])) ? $sportsbook->gen_league_team_data($league_id) : array();
               
               $league_options = array();
               foreach ($sportsbook->leagues as $id => $name)
               {
                  $league_options[$id]['value'] = $name;
                  $league_options[$id]['selected'] = ($id == $league_id) ? true : false;
               }
               $league_box = $sportsbook->make_select_options($league_options);
               
               if ($update)
               {
                  $new_name = request_var('league_name', '');      
                  $name_update = ($new_name === $sportsbook->leagues[$league_id]) ? '' : $new_name;
                  
                  if ($name_update)
                  {
                    $sql_arr = array('league_name' => $name_update);
                  
                    $sql = 'UPDATE ' . SPORTSBOOK_LEAGUES_TABLE . ' 
                      SET ' . $db->sql_build_array('UPDATE', $sql_arr) . '
                      WHERE league_id = ' . (int) $league_id;
                    $db->sql_query($sql);
                  	
                  	$cache->destroy('sql', SPORTSBOOK_LEAGUES_TABLE);
                  }
                  // are we updating team names?
                  foreach ($teamlist as $id => $name)
                  {
                    $input_team = request_var('teamid_' . $id, '');
                    // has name changed?
                    if ((!($input_team === $name) && $input_team))
                    {
                      $sql_arr = array('team_name' => $input_team);
                  
                      $sql = 'UPDATE ' . SPORTSBOOK_TEAMS_TABLE . ' 
                        SET ' . $db->sql_build_array('UPDATE', $sql_arr) . '
                        WHERE team_id = ' . (int) $id;
                      $db->sql_query($sql);
                    	
                    	unset($input_team);
                    }
                  }
                  $cache->destroy('sql', SPORTSBOOK_TEAMS_TABLE);     
                  trigger_error($user->lang['LEAGUE_UPDATE_SUCCESS'] . adm_back_link($this->u_action));
               }
               if ($addteams)
               {
                  $newteams = request_var('newteams', '');
                  $newteams = explode("\n", $newteams);
                  $sql_multi_ary = array();
                  
                  for ($i = 0; $i < count($newteams); $i++)
                  {
                    if ($newteams[$i])
                    {
                      $sql_multi_ary[] = array(
                        'team_name' =>  $newteams[$i],
                        'league_id' =>  $league_id
                      );
                		}
                  }
                  if (sizeof($sql_multi_ary))
                  {
                    $db->sql_multi_insert(SPORTSBOOK_TEAMS_TABLE, $sql_multi_ary);
                  }
                  $cache->destroy('sql', SPORTSBOOK_TEAMS_TABLE);
                  trigger_error($user->lang['TEAM_ADD_SUCCESS'] . adm_back_link($this->u_action));
               }
               if ($delete_team)
               {
                  if (confirm_box(true))
                  {
                    $sportsbook->delete_team($delete_team);
                    	
                    trigger_error($user->lang['TEAM_DELETE_SUCCESS'] . adm_back_link($this->u_action));
                  }
                  else
                  {
                    confirm_box(false, sprintf($user->lang['CONFIRM_TEAM_DELETION'], $sportsbook->teams[$delete_team]), build_hidden_fields(array(
                    	'delete_team'	=> $delete_team,
                    	'mode'		=> $mode,
                    	'action'	=> $action))
                    );
                  }
               }
               
              foreach ($teamlist as $id => $name)
              {
                $url = $this->u_action;
                        
                $template->assign_block_vars('teamlist', array(
                  'INPUT_VALUE' =>  $name,
                  'INPUT_NAME'  =>  'teamid_' . $id,
                  'U_DELETE'  => $url . '&amp;delete_team=' . $id)
                ); 
              }
                   
              $template->assign_vars(array(
                'LEAGUE_NAME' => $sportsbook->leagues[$league_id])
              );
            }
            else
            {
              foreach ($sportsbook->leagues as $id => $name)
              {
                $url = $this->u_action;
                
                $template->assign_block_vars('leagues', array(
                'LEAGUE_NAME' =>  $name,
                'U_EDIT'			=> $url . '&amp;action=edit_league&amp;league=' . $id,
              	'U_DELETE'			=> $url . '&amp;action=delete_league&amp;league=' . $id,
                
                'S_LEAGUE_HAS_TEAMS'  =>  (isset($league_teams[$id]) ? true : false))
                );
              }
            }
            
            $template->assign_vars(array(
              'U_ACTION'				=> $this->u_action,
              'U_SEL_ACTION'	=> $u_sel_action,
              'LEAGUE_BOX'  =>  $league_box,
              'NAVIGATION'  =>  $navigation,
              'S_MULTIPLE_LEAGUES'  =>  (count($sportsbook->leagues) > 1 ? true : false))
            );

            break;
            
         case 'fixtures':
            $this->page_title = 'ACP_SPORTSBOOK';
            $this->tpl_name = 'sportsbook/fixtures';
            
            //include($phpbb_root_path . 'includes/sportsbook/acp/fixtures.' . $phpEx);           
            $navigation = $user->lang['FIXTURES'];
            $error = array();
            $u_fixture_create_action = $this->u_action . "&amp;action=create_fixture";
            $u_action = $this->u_action;
            $s_hidden_fields = '';
            $step = request_var('step', RETRIEVE_LEAGUE);
            $cancel = request_var('cancel', '');
            
            if ($action == 'delete_fixture' && !$cancel)
            {
              $d_fixture = request_var('fixture', 0);
              $l_fixture = request_var('l_fixture', '');
              $type = request_var('type', '');
              
              if (confirm_box(true))
              {
                $id_ary = ($type == 'league') ? array_filter(explode("*", $l_fixture)) : array_filter(array($d_fixture));
                
                if (sizeof($id_ary))
                {
                  $sportsbook->delete_fixture($id_ary);
                }   
                trigger_error(($type == 'league') ? $user->lang['FIXTURES_DELETE_SUCCESS'] . adm_back_link($this->u_action) : $user->lang['FIXTURE_DELETE_SUCCESS'] . adm_back_link($this->u_action));
              }
              else
              {
                $confirm_msg = ($type == 'league') ? $user->lang['CONFIRM_LEAGUE_FIXTURE_DELETION'] : $user->lang['CONFIRM_FIXTURE_DELETION'];
                confirm_box(false, $confirm_msg, build_hidden_fields(array(
                  'fixture'	=> $d_fixture,
                  'l_fixture' =>  $l_fixture,
                  'type'  =>  $type,
                  'mode'		=> $mode,
                  'action'	=> $action))
                );
              }
            }
            elseif ($action == 'create_fixture')
            {
              $this->tpl_name = 'sportsbook/fixtures_create';
              
              $timestamp = request_var('timestamp', 0);
              $league_id = request_var('league_id', 0);
              $hometeams = request_var('hometeams', array(0));
              $awayteams = request_var('awayteams', array(0));
              $fixtures = array();
              
              $zone_offset = ($user->data['user_timezone'] + $user->data['user_dst']) * 3600;
              $navigation = '<a href="' . $this->u_action . '">' . $user->lang['FIXTURES'] . '</a> -&gt; ' . $user->lang['FIXTURE_CREATE'];
              // deal with errors
              switch ($step)
              {
                case RETRIEVE_TEAMS:
                  if (!$league_id || $league_id == BOX_UNSELECTED || $league_id == BOX_GAP)
                  {
                    $step = RETRIEVE_LEAGUE;
                    $error[] = $user->lang['ERROR_LEAGUE'];
                    
                    $timestamp = $timestamp + $zone_offset;
                    
                    $fixture_date = array(
                      'DAY' =>  gmdate("d", $timestamp),
                      'MONTH' => gmdate("m", $timestamp),
                      'YEAR' => gmdate("Y", $timestamp),
                      'HOUR' => gmdate("H", $timestamp),
                      'MINUTE'  =>  gmdate("i", $timestamp) 
                    );
                  }
                break;
                
                case RETRIEVE_CONFIRMATION:
                  $t_error = array();
                  $collation = array();
                  
                  for ($i = 0; $i < count($hometeams); $i++)
                  {
                     if (($hometeams[$i] != BOX_UNSELECTED && $hometeams[$i] != BOX_GAP) || ($awayteams[$i] != BOX_UNSELECTED && $awayteams[$i] != BOX_GAP))
                     {
                        $fixtures[$i] = array(
                          'home'  =>  $hometeams[$i],
                          'away'  =>  $awayteams[$i]
                        );
                     }
                  }
                  
                  if (!sizeof($fixtures))
                  {
                    $t_error[] = $user->lang['ERROR_NO_TEAMS_SELECTED'];
                  }
                  else
                  {
                    // check we have 2 teams for each fixture
                    foreach ($fixtures as $k => $v)
                    {
                      if ($v['home'] == BOX_UNSELECTED || $v['home'] == BOX_GAP || $v['away'] == BOX_UNSELECTED || $v['away'] == BOX_GAP) 
                      {
                        if($v['home'] == BOX_UNSELECTED || $v['home'] == BOX_GAP)
                        {
                          $t_error[] = sprintf($user->lang['ERROR_HOMETEAM_MISSING'], ($k + 1));
                        }
                        if($v['away'] == BOX_UNSELECTED || $v['away'] == BOX_GAP)
                        {
                          $t_error[] = sprintf($user->lang['ERROR_AWAYTEAM_MISSING'], ($k + 1));
                        }
                      }
                      else
                      {
                        $collation[] = $v['home'];
                        $collation[] = $v['away'];
                        
                        if ($v['home'] == $v['away'])
                        {
                          $t_error[] = sprintf($user->lang['ERROR_FIXTURE_DUPLICATE_TEAMS'], ($k + 1));
                        }
                      }  
                    }
                    // finally, do we have duplicates
                    if ($collation != array_unique($collation))
                    {
                      $t_error[] = $user->lang['ERROR_DUPLICATE_TEAMS'];
                    }
                  }
                  if (sizeof($t_error))
                  {
                    $error = array_merge($error, $t_error);
                    $step = RETRIEVE_TEAMS;
                  }
                break;
              }
              
              $step_display = array(
                RETRIEVE_LEAGUE  =>  $user->lang['FIXTURE_STEP_TWO'],
                RETRIEVE_TEAMS =>  $user->lang['FIXTURE_STEP_THREE'],
                RETRIEVE_CONFIRMATION  =>  $user->lang['FIXTURE_STEP_FOUR'],
                INSERT_FIXTURES =>  ''
              );
              // process steps
              switch ($step)
              {
                case RETRIEVE_LEAGUE:
                  $dateboxvalue = array();
                  // get all the vars
                  if (!isset($fixture_date))
                  {
                    $fixture_date = array(
                      'DAY' =>  request_var('day', 0),
                      'MONTH' => request_var('month', 0),
                      'YEAR' => request_var('year', 0),
                      'HOUR' => request_var('hour', 0),
                      'MINUTE'  =>  request_var('minute', 0) 
                    );
                  }
                  $f_error = array();
                  foreach ($fixture_date as $key => $value)
                  {
                    if ($value == BOX_UNSELECTED || $value == BOX_GAP)
                    {
                      $error_key = 'ERROR_FIXTURE_' . $key;
                      $f_error[] = $user->lang[$error_key];
                    }
                    $dateboxvalue[$key] = $value;
                    unset($error_key);
                  }
                  if (sizeof($f_error))
                  {
                    $this->tpl_name = 'sportsbook/fixtures';
                    $dateboxes = $sportsbook->make_dateboxes(false, $dateboxvalue);
                    $error = $f_error;
                    $step = RETRIEVE_TIME;
                    $adm_reqs = array('url' => $this->u_action);
                    $sportsbook->build_fixture_list($sportsbook->gen_fixtures(), $adm_reqs);
                  }
                  else
                  {
                    // we got all our values entered for the fixture date, so move to next stage
                    $day = $fixture_date['DAY'];
                    $month = $fixture_date['MONTH'];
                    $year = $fixture_date['YEAR'];
                    $hour = $fixture_date['HOUR'];
                    $minute = $fixture_date['MINUTE'];
                    
                    $timestamp = gmmktime($hour, $minute, 0, $month, $day, $year) - $zone_offset;
                    
                    if ($timestamp < (time() + 600))
                    {
                      $error[] = $user->lang['ERROR_TIME_IN_PAST'];
                      $dateboxes = $sportsbook->make_dateboxes(false, $dateboxvalue);
                      $step = RETRIEVE_TIME;
                      $adm_reqs = array('url' => $this->u_action);
                      $sportsbook->build_fixture_list($sportsbook->gen_fixtures(), $adm_reqs);
                      $this->tpl_name = 'sportsbook/fixtures';
                    }
                    else
                    {
                      // fixture date is acceptable, setup next step
                      $s_hidden_fields .= build_hidden_fields(array(
                        'timestamp' => $timestamp,
                        'step'  =>  RETRIEVE_TEAMS)
                      );
                      
                      $s_require_league = true;
                      
                      $league_options = array(
                        BOX_UNSELECTED => array('selected' => true, 'value' => $user->lang['SELECT_LEAGUE']),
                        BOX_GAP => array('selected' => false, 'value' => ' ')
                      );
                      $teams = $sportsbook->gen_league_teams();
                      foreach ($sportsbook->leagues as $id => $name)
                      {
                         // only allow this league if it has more than one team
                         if (isset($teams[$id]) && count($teams[$id]) > 1)
                         {
                           $league_options[$id]['value'] = $name;
                           $league_options[$id]['selected'] = false;
                         }
                      }
                      $league_box = $sportsbook->make_select_options($league_options);
                      if (count($league_options) < 3)
                      {
                        $error[] = $user->lang['ERROR_NO_LEAGUES'];
                        $s_show_submit = false;
                      }
                      
                      $template->assign_vars(array(
                        'LEAGUE_BOX'  =>  $league_box,
                        'S_REQUIRE_LEAGUE'  => $s_require_league)
                      );
                    }
                  }
                  break;
                  
                  case RETRIEVE_TEAMS:
                    $league = $sportsbook->leagues[$league_id];
                    $teamlist = $sportsbook->gen_league_team_data($league_id);
                    $team_box = $sportsbook->build_team_box($teamlist);
                    
                    $teamcount = count($teamlist);
                    $teamcount = ($teamcount%2) ? ($teamcount - 1) / 2 : $teamcount / 2; 
                    
                    for ($i = 0; $i < $teamcount; $i++)
                    {
                      $hometeam_box = $awayteam_box = $team_box;
                      
                      if (isset($fixtures[$i]))
                      {
                        $hometeam_box = $sportsbook->build_team_box($teamlist, $fixtures[$i]['home']);
                        $awayteam_box = $sportsbook->build_team_box($teamlist, $fixtures[$i]['away']); 
                      }
                      $template->assign_block_vars('teamboxes', array(
                        'FIXTURE' =>  ($i +1),
                        'HOMETEAM_BOX'  =>  $hometeam_box,
                        'AWAYTEAM_BOX'  =>  $awayteam_box)
                      );
                    }
                    
                    $s_hidden_fields .= build_hidden_fields(array(
                      'timestamp' => $timestamp,
                      'league_id' =>  $league_id,
                      'step'  =>  RETRIEVE_CONFIRMATION)
                    );      
                    
                  break;
                  
                  case RETRIEVE_CONFIRMATION:
                    $league = $sportsbook->leagues[$league_id];
                    $s_confirm = true;
                    $j = 0;
                    
                    for ($i = 0; $i < count($hometeams); $i++)
                    {
                      if(isset($fixtures[$i]))
                      {
                        $s_hidden_fields .= build_hidden_fields(array(
                           'hometeams[' . $i . ']' =>  $fixtures[$i]['home'],
                           'awayteams[' . $i . ']' =>  $fixtures[$i]['away'])
                        );
                        $template->assign_block_vars('teamlist', array(
                          'FIXTURE' =>  ($j +1),
                          'HOMETEAM'  =>  $sportsbook->teams[$fixtures[$i]['home']],
                          'AWAYTEAM'  =>  $sportsbook->teams[$fixtures[$i]['away']])
                        );
                        $j++;
                      }
                      else
                      {
                        $s_hidden_fields .= build_hidden_fields(array(
                           'hometeams[' . $i . ']' =>  BOX_UNSELECTED,
                           'awayteams[' . $i . ']' =>  BOX_UNSELECTED)
                        );   
                      }
                    }       
                    $s_hidden_fields .= build_hidden_fields(array(
                      'timestamp' => $timestamp,
                      'league_id' =>  $league_id,
                      'step'  =>  INSERT_FIXTURES)
                    );     
                  break;
                  
                  case INSERT_FIXTURES:
                    if ($league_id && $timestamp && (count($hometeams) == count($awayteams)))
                    {
                      $sql_ary = array();
                      for ($i = 0; $i < count($hometeams); $i++)
                      {
                        if ($hometeams[$i] != BOX_UNSELECTED && $awayteams[$i] != BOX_UNSELECTED)
                        {
                          $sql_ary[] = array(
                            'fixture_time'  =>  $timestamp,
                            'league_id' =>  $league_id,
                            'home_team' =>  $hometeams[$i],
                            'away_team' =>  $awayteams[$i]
                          );
                    		}
                      }
                      if (sizeof($sql_ary))
                      {
                        $db->sql_multi_insert(SPORTSBOOK_FIXTURES_TABLE, $sql_ary);
                      }
                      $cache->destroy('sql', SPORTSBOOK_FIXTURES_TABLE);
                      trigger_error($user->lang['FIXTURE_ADD_SUCCESS'] . adm_back_link($this->u_action));
                    }
                  break;
                }
            }
            else
            {
              $dateboxes = $sportsbook->make_dateboxes();
              $adm_reqs = array('url' => $this->u_action);
              $sportsbook->build_fixture_list($sportsbook->gen_fixtures(), $adm_reqs);
            }
            
            if (isset($dateboxes))
            {
              $daybox = $dateboxes['days'];
              $monthbox = $dateboxes['months'];
              $yearbox = $dateboxes['years'];
              $hourbox = $dateboxes['hours'];
              $minutebox = $dateboxes['minutes'];
              
              $template->assign_vars(array(
                'DAY_BOX'  =>  $daybox,
                'MONTH_BOX'  =>  $monthbox,
                'YEAR_BOX'  =>  $yearbox,
                'HOUR_BOX'  =>  $hourbox,
                'MINUTE_BOX'  =>  $minutebox)
              );
            }
            
            $template->assign_vars(array(
              'S_ERROR'			=> (sizeof($error)) ? true : false,
              'S_SHOW_SUBMIT' =>  (isset($s_show_submit)) ? $s_show_submit : true,
              'S_HIDDEN_FIELDS' => $s_hidden_fields,
              'S_CONFIRM' =>  (isset($s_confirm)) ? true : false,
              
              'ERROR_MSG'			=> implode('<br />', $error),
              
              'DATE' => (isset($timestamp)) ? $user->format_date($timestamp) : '',
              'LEAGUE'  =>  (isset($league)) ? $league : '',
              'STEP_DISPLAY'  => (isset($step_display[$step])) ? $step_display[$step] : '',
              
              'U_ACTION'				=> $u_action,
              'U_FIXTURE_CREATE_ACTION' => $u_fixture_create_action, 
              'NAVIGATION'  =>  $navigation)
            );
            break;
            
         case 'results':
            $this->page_title = 'ACP_SPORTSBOOK';
            $this->tpl_name = 'sportsbook/results';
            
            //include($phpbb_root_path . 'includes/sportsbook/acp/results.' . $phpEx);
            $navigation = $user->lang['RESULTS'];
            $error = array();
            $u_action = $this->u_action;
            $s_hidden_fields = '';
            $cancel = request_var('cancel', '');
            $update = request_var('update', '');
            
            if ($update)
            {
              if (sizeof($scores = $sportsbook->validate_input_scores()))
              {
                $sportsbook->process_results($scores);
                trigger_error($user->lang['RESULTS_UPDATE_SUCCESS'] . adm_back_link($this->u_action));
              }
              else
              {
                $error[] = $user->lang['ERROR_RESULTS_NO_SCORES_INPUT'];
                $sportsbook->build_fixture_list($sportsbook->gen_fixtures(FIXTURES_OUTSTANDING));
              }  
            }
            else
            {
              $sportsbook->build_fixture_list($sportsbook->gen_fixtures(FIXTURES_OUTSTANDING));
            }
            
            $template->assign_vars(array(
              'S_ERROR'			=> (sizeof($error)) ? true : false,
              'S_HIDDEN_FIELDS' => $s_hidden_fields,
              
              'ERROR_MSG'			=> implode('<br />', $error),
              
              'U_ACTION'				=> $u_action,
               
              'NAVIGATION'  =>  $navigation)
            );
            break;
      }
   }
}
?>