<?php
/**
*
* @package ucp
* @version $Id$
* @copyright (c) 2005 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* ucp_main
* UCP Front Panel
* @package ucp
*/
class ucp_sportsbook
{
	var $u_action;

	function main($id, $mode)
	{
		global $user, $template, $phpbb_root_path, $phpEx, $db;
		global $table_prefix;
		
		$user->add_lang('mods/sportsbook/sportsbook');
		define('IN_SPORTSBOOK', true);
    include($phpbb_root_path . 'includes/sportsbook/common.' . $phpEx);
    $error = array();
    $action = request_var('action', '');

		switch ($mode)
		{
			case 'index':
				$this->tpl_name = 'sportsbook/ucp_sportsbook_main';
				$this->page_title = 'SPORTSBOOK_HOMEPAGE';
				
				$user_ids = array();
				
				$leaderboard = $sportsbook->display_leaderboard();
				
				if (sizeof($leaderboard))
				{
          for ($i = 0; $i < count($leaderboard); $i++)
          {
            $template->assign_block_vars('leaderboard', array(
              'POSITION'  =>  $i +1,
              'USERNAME'  =>  $leaderboard[$i]['username'],
              'PREDICTIONS' =>  $leaderboard[$i]['predictions'],
              'CORRECT_SCORES' =>  $leaderboard[$i]['correct_scores'],
              'CORRECT_RESULTS' =>  $leaderboard[$i]['correct_results'],
              'POINTS' =>  $leaderboard[$i]['points'],
              'POINTS_POSITIVE' =>  ($leaderboard[$i]['points'] > 0) ? true : false,
              'S_USER_HILITE'  =>  $leaderboard[$i]['user_hilite'],
              'S_USER_OUTCAST'  =>  false)
            );
            $user_ids[] = $leaderboard[$i]['user_id'];
          }
          //
          // Is current user included in the leaderboard top 10?
          //
          if (!in_array($user->data['user_id'], $user_ids))
          {
            //
            // OK, if not then have they played the game?
            //
            if (sizeof($user_leaderboard = $sportsbook->display_leaderboard($user->data['user_id'])))
            {
              //
              // They've played the game, so display their data
              //
              $user_leaderboard = $sportsbook->display_leaderboard($user->data['user_id']);
              $template->assign_block_vars('leaderboard', array(
                'POSITION'  =>  '--',
                'USERNAME'  =>  $user_leaderboard[0]['username'],
                'PREDICTIONS' =>  $user_leaderboard[0]['predictions'],
                'CORRECT_SCORES' =>  $user_leaderboard[0]['correct_scores'],
                'CORRECT_RESULTS' =>  $user_leaderboard[0]['correct_results'],
                'POINTS' =>  $user_leaderboard[0]['points'],
                'POINTS_POSITIVE' =>  ($user_leaderboard[0]['points'] > 0) ? true : false,
                'S_USER_OUTCAST'  =>  true)
              );
            }
          }
        }
				
				$template->assign_vars(array(
          'TITLE' =>  $user->lang['SPORTSBOOK_HOMEPAGE'],
          'LEADERBOARD_TOP_TEN' =>  sprintf($user->lang['LEADERBOARD_TOP_TEN'], $sportsbook->config['leaderboard_limit']),
          'CORRECT_SCORE_EXPLAIN'  =>  sprintf($user->lang['SYS_CORRECT_SCORE'], CORRECT_SCORE),
          'CORRECT_RESULT_EXPLAIN'  =>  sprintf($user->lang['SYS_CORRECT_RESULT'], CORRECT_RESULT),
          'INCORRECT_RESULT_EXPLAIN'  =>  sprintf($user->lang['SYS_INCORRECT_RESULT'], (PREDICTION_LOSS * -1)))
        );
			break;
			
			case 'fixtures':
				$this->tpl_name = 'sportsbook/ucp_sportsbook_fixtures';
				$this->page_title = 'SPORTSBOOK_FIXTURES';
				
				if ($action == 'update')
				{
          if (sizeof($scores = $sportsbook->validate_input_scores()))
          {
            $sportsbook->process_predictions($scores);
            meta_refresh(3, $this->u_action);
						$message = $user->lang['PREDICTION_UPDATE_SUCCESS'] . '<br /><br />' . sprintf($user->lang['RETURN_SPORTSBOOK'], '<a href="' . $this->u_action . '">', '</a>');
						trigger_error($message);
          }
          else
          {
            $error[] = $user->lang['ERROR_PREDICTIONS_NO_SCORES_INPUT'];
          }
        }
				
				$sportsbook->build_fixture_list($sportsbook->gen_fixtures(FIXTURES_FUTURE, $user->data['user_id']));
				
				$template->assign_vars(array(
				  'U_ACTION'  =>  $this->u_action . '&amp;action=update',
				  
				  'ERROR_MSG' => implode('<br />', $error),
          'TITLE' =>  $user->lang['FIXTURES'])
        );
			break;
			
			case 'results':
				$this->tpl_name = 'sportsbook/ucp_sportsbook_results';
				$this->page_title = 'SPORTSBOOK_RESULTS';
				
				$add_reqs = array(
          'url' =>  $this->u_action
        );
				
				$pagination = $sportsbook->build_fixture_list($sportsbook->gen_fixtures(FIXTURES_PAST, $user->data['user_id']), $add_reqs);
				
				$template->assign_vars(array(
          'TITLE' =>  $user->lang['RESULTS'],
          'PREDICTOR' =>  $user->data['username'])
        );
			break;
		}
	}
}

?>