<?php
/** 
*
* @package Sportsbook Lite
* @version $Id: 
* @copyright (c) 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'INST_SPORTSBOOK_LITE';

/*
* The name of the config variable which will hold the currently installed version
* You do not need to set this yourself, UMIL will handle setting and updating the version itself.
*/

$version_config_name = 'sportsbook_version';

/*
* The language file which will be included when installing
* Language entries that should exist in the language file for UMIL (replace $mod_name with the mod's name you set to $mod_name above)
*/
$language_file = 'mods/sportsbook/sportsbook';

/*
* Optionally we may specify our own logo image to show in the upper corner instead of the default logo.
* $phpbb_root_path will get prepended to the path specified
* Image height should be 50px to prevent cut-off or stretching.
*/

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/

/**
* Define the basic structure
* The format:
*		array('{TABLE_NAME}' => {TABLE_DATA})
*		{TABLE_DATA}:
*			COLUMNS = array({column_name} = array({column_type}, {default}, {auto_increment}))
*			PRIMARY_KEY = {column_name(s)}
*			KEYS = array({key_name} = array({key_type}, {column_name(s)})),
*
*	Column Types:
*	INT:x		=> SIGNED int(x)
*	BINT		=> BIGINT
*	UINT		=> mediumint(8) UNSIGNED
*	UINT:x		=> int(x) UNSIGNED
*	TINT:x		=> tinyint(x)
*	USINT		=> smallint(4) UNSIGNED (for _order columns)
*	BOOL		=> tinyint(1) UNSIGNED
*	VCHAR		=> varchar(255)
*	CHAR:x		=> char(x)
*	XSTEXT_UNI	=> text for storing 100 characters (topic_title for example)
*	STEXT_UNI	=> text for storing 255 characters (normal input field with a max of 255 single-byte chars) - same as VCHAR_UNI
*	TEXT_UNI	=> text for storing 3000 characters (short text, descriptions, comments, etc.)
*	MTEXT_UNI	=> mediumtext (post text, large text)
*	VCHAR:x		=> varchar(x)
*	TIMESTAMP	=> int(11) UNSIGNED
*	DECIMAL		=> decimal number (5,2)
*	DECIMAL:		=> decimal number (x,2)
*	PDECIMAL		=> precision decimal number (6,3)
*	PDECIMAL:	=> precision decimal number (x,3)
*	VCHAR_UNI	=> varchar(255) BINARY
*	VCHAR_CI		=> varchar_ci for postgresql, others VCHAR
*/

$versions = array(
	// Version 0.0.1-dev - this is the first version using UMIL
	'0.0.1-dev'	=> array(
	
	  'table_add' => array(

			array($table_prefix . 'sportsbook_config', array(
					'COLUMNS'		=> array(
						'config_name'			=> array('VCHAR', ''),
						'config_value'		=> array('VCHAR', ''),
					),
					'PRIMARY_KEY'	=> 'config_name',
				),
			),
			
			array($table_prefix . 'sportsbook_fixtures', array(
					'COLUMNS'		=> array(
						'fixture_id'			=> array('UINT', NULL, 'auto_increment'),
						'league_id'		=> array('TINT:4', NULL),
						'fixture_time'		=> array('UINT:11', NULL),
						'home_team' =>  array('TINT:4', NULL),
            'away_team' =>  array('TINT:4', NULL),
            'home_score'  =>  array('TINT:4', -1),
            'away_score'  =>  array('TINT:4', -1),
					),
					'PRIMARY_KEY'	=> 'fixture_id',
					
					'KEYS' =>  array(
            'fixture_time'  =>  array('INDEX', 'fixture_time'),
            'league_id'  =>  array('INDEX', 'league_id'),
          ),
        ),
			),
				
			array($table_prefix . 'sportsbook_leaderboard', array(
					'COLUMNS'		=> array(
						'user_id' =>  array('UINT', NULL),
						'predictions' =>  array('UINT', 0),
						'correct_results' =>  array('UINT', 0),
						'correct_scores' =>  array('UINT', 0),
						'points' =>  array('UINT', 0),
					),
					'PRIMARY_KEY'	=> 'user_id',
				),
			),
				
			array($table_prefix . 'sportsbook_leagues', array(
          'COLUMNS'		=> array(
            'league_id' =>  array('TINT:4', NULL, 'auto_increment'),
            'league_name' =>   array('VCHAR', ''),
          ),
          'PRIMARY_KEY'	=> 'league_id',
        ),
			),
			
			array($table_prefix . 'sportsbook_teams', array(
          'COLUMNS'		=> array(
            'team_id' =>  array('TINT:4', NULL, 'auto_increment'),
            'league_id' =>   array('TINT:4', NULL),
            'team_name' =>  array('VCHAR', ''),
          ),
          'PRIMARY_KEY'	=> 'team_id',
          'KEYS' =>  array(
            'league_id'  =>  array('INDEX', 'league_id'),
          ),
        ),
			),
			
			array($table_prefix . 'sportsbook_user_predictions', array(
          'COLUMNS'		=> array(
            'prediction_id' =>  array('UINT', NULL, 'auto_increment'),
            'user_id' =>   array('UINT', NULL),
            'prediction_processed' =>  array('TINT:2', -1),
            'fixture_id'  =>  array('UINT', NULL),
            'pred_home_score' =>  array('TINT:4', NULL),
            'pred_away_score' =>  array('TINT:4', NULL),
            'calc_required' =>  array('TINT:2', -1),
          ),
          'PRIMARY_KEY'	=> 'prediction_id',
          'KEYS' =>  array(
            'prediction_processed'  =>  array('INDEX', 'prediction_processed'),
            'user_id'  =>  array('INDEX', 'user_id'),
          ),
        ),
			),
			
		),
	
	  // Clear the general cache as well as the templates, imagesets and themes cache
		'cache_purge' => array(
			array(),
			array('imageset'),
			array('template'),
			array('theme'),
		),
		
		// Alright, now lets add some modules to the ACP
		'module_add' => array(
			
			array('acp', '', 'ACP_SPORTSBOOK'),
			
			array('acp', 'ACP_SPORTSBOOK', array(
					'module_basename'	=> 'sportsbook',
					'module_langname'	=> 'ACP_SPORTSBOOK_INTRO',
					'module_mode'		=> 'intro',
					'module_auth'		=> 'acl_a_board',
				),
			),
			
			array('acp', 'ACP_SPORTSBOOK', 'ACP_SPORTSBOOK_GENERAL'),
			
			array('acp', 'ACP_SPORTSBOOK_GENERAL', array(
					'module_basename'	=> 'sportsbook',
					'module_langname'	=> 'ACP_SPORTSBOOK_GENERAL_CONFIG',
					'module_mode'		=> 'general',
					'module_auth'		=> 'acl_a_board',
				),
			),
			
			array('acp', 'ACP_SPORTSBOOK_GENERAL', array(
					'module_basename'	=> 'sportsbook',
					'module_langname'	=> 'ACP_SPORTSBOOK_LEAGUES_CONFIG',
					'module_mode'		=> 'leagues',
					'module_auth'		=> 'acl_a_board',
				),
			),
			
			array('acp', 'ACP_SPORTSBOOK', 'ACP_SPORTSBOOK_EVENTS'),
			
			array('acp', 'ACP_SPORTSBOOK_EVENTS', array(
					'module_basename'	=> 'sportsbook',
					'module_langname'	=> 'ACP_SPORTSBOOK_FIXTURES_CONFIG',
					'module_mode'		=> 'fixtures',
					'module_auth'		=> 'acl_a_board',
				),
			),
			
			array('acp', 'ACP_SPORTSBOOK_EVENTS', array(
					'module_basename'	=> 'sportsbook',
					'module_langname'	=> 'ACP_SPORTSBOOK_RESULTS_CONFIG',
					'module_mode'		=> 'results',
					'module_auth'		=> 'acl_a_board',
				),
			),
			// add the usp modules
			array('ucp', '', 'UCP_SPORTSBOOK'),
			
			array('ucp', 'UCP_SPORTSBOOK', array(
					'module_basename'	=> 'sportsbook',
					'module_langname'	=> 'UCP_SPORTSBOOK_INDEX',
					'module_mode'		=> 'index',
					'module_auth'		=> '',
				),
			),
			
			array('ucp', 'UCP_SPORTSBOOK', array(
					'module_basename'	=> 'sportsbook',
					'module_langname'	=> 'UCP_SPORTSBOOK_FIXTURES',
					'module_mode'		=> 'fixtures',
					'module_auth'		=> '',
				),
			),
			
			array('ucp', 'UCP_SPORTSBOOK', array(
					'module_basename'	=> 'sportsbook',
					'module_langname'	=> 'UCP_SPORTSBOOK_RESULTS',
					'module_mode'		=> 'results',
					'module_auth'		=> '',
				),
			),
		),

		/*
		* Now we need to insert some data.  The easiest way to do that is through a custom function
		* Enter 'custom' for the array key and the name of the function for the value.
		*/
		'custom'	=> 'first_fill_0_0_1_dev',
	),
		
	
);

// Include the UMIF Auto file and everything else will be handled automatically.
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

/*
* Here is our custom function that will be called for version 1.0.0
*
* @param string $action The action (install|update|uninstall) will be sent through this.
* @param string $version The version this is being run for will be sent through this.
*/
function first_fill_0_0_1_dev($action, $version)
{
	global $db, $table_prefix, $umil;

	switch ($action)
	{
		case 'install' :    
			// Run this when installing the first time
			if ($umil->table_exists($table_prefix . 'config'))
			{
				$sql_ary = array();
				
				$sql_ary[] = array('config_name' => 'sportsbook_version',	'config_value' => '0.0.1-dev',);
				$db->sql_multi_insert($table_prefix . 'config ', $sql_ary);
				
				if ($umil->table_exists($table_prefix . 'sportsbook_config'))
  			{
  				// before we fill anything in this table, we truncate it. Maybe someone missed an old installation.
  				$db->sql_query('TRUNCATE TABLE ' . $table_prefix . 'sportsbook_config');
  
  				$sql_ary = array();
  
  				$sql_ary[] = array('config_name' => 'hourbox_end',				'config_value' => '20',);
  				$sql_ary[] = array('config_name' => 'hourbox_start',			'config_value' => '12',);
  				$sql_ary[] = array('config_name' => 'leaderboard_limit',			'config_value' => '10',);
  				$sql_ary[] = array('config_name' => 'minutebox_increment',			'config_value' => '5',);
  				$sql_ary[] = array('config_name' => 'month_advance',			'config_value' => '1',);
  				$sql_ary[] = array('config_name' => 'prediction_calc_limit',			'config_value' => '50',);
  				$sql_ary[] = array('config_name' => 'prediction_calc_required',			'config_value' => '-1',);
  
  				$db->sql_multi_insert($table_prefix . 'sportsbook_config ', $sql_ary);
  			}
			}
           

			// Send the message, that the command was successful
			return 'SB_INSERT_FIRST_FILL';
		break;

		case 'update' :
		break;

 		case 'uninstall' :
			// Run this additionally when uninstalling
			

			// Send the message, that the command was successful
		break;
	}
}




?>