<?php
/**
*
* acp_sportsbook [English]
*
* @package language
* @version $Id$
* @copyright (c) 2005 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
    'ACP_SPORTSBOOK_GENERAL'                        => 'General',
    'ACP_SPORTSBOOK_INDEX_TITLE'                        => 'Sportsbook Index',
    
    'SPORTSBOOK_INTRO_TITLE'  =>  'Welcome to the Sportsbook',
    'SPORTSBOOK_INTRO_TITLE_EXPLAIN'  =>  'Explanation....',
    'SPORTSBOOK_STATISICS'  =>  'Sportsbook Statistics',
    
    'LEAGUE_CONFIG' =>  'League Configuration',
    'LEAGUE_CONFIG_EXPLAIN' =>  'League Configuration explanation...',
    'LEAGUE_CONFIG_EDIT' =>  'Edit League',
    'LEAGUE_CONFIG_EDIT_EXPLAIN' =>  'Edit League explanation...',
    'LEAGUE_ADD_SUCCESS'  =>  'League added successfully',
    
    'CREATE_LEAGUE' =>  'Create new league',
    'SELECT_LEAGUE' =>  'Select a league',
    'LEAGUE_DELETION_SUCCESS' =>  'League deleted successfully',
    'LEAGUE_UPDATE_SUCCESS' =>  'League updated successfully',
    'LEAGUE_DELETION_DENIED'  =>  'You cannot delete a league that has teams associated with it. Delete teams first.',
    'LEAGUE_NAME' =>  'League Name',
    'LEAGUE'  => 'League',
    
    'TEAMS_ADD' =>  'Add Teams',
    'TEAMS_ADD_EXPLAIN' =>  'Place each team in a separate line.',
    'TEAMS' =>  'Teams',
    'TEAM_ADD_SUCCESS'  =>  'Team(s) added successfully',
    'TEAM_DELETE_SUCCESS'  =>  'Team deleted successfully',
    'SELECT_TEAM' =>  'Select team',
    'SELECT_TEAMS'  =>  'Select teams',
    
    'EVENTS_CONFIG' =>  'Event Configuration',
    
    'FIXTURES'  =>  'Fixtures',
    'FIXTURES_EXPLAIN'  =>  'Fixtures explanation...',
    'FIXTURE_CREATE'  =>  'Create new fixtures',
    'FIXTURE_CREATE_EXPLAIN'  =>  'Explanation...',
    'FIXTURE_DATE'  =>  'Fixture Date',
    'CREATE_FIXTURES_CONTINUE' =>  'Continue creating new fixtures',
    'FIXTURE_DETAILS' =>  'Fixture Details',
    'FIXTURE_ADD_SUCCESS' =>  'Fixtures added successfully',
    'FIXTURE_STEP_TWO'  =>  'Step 2 of 4',
    'FIXTURE_STEP_THREE'  =>  'Step 3 of 4',
    'FIXTURE_STEP_FOUR'  =>  'Step 4 of 4',
    'FIXTURES_CURRENT' =>  'Current Fixtures',
    'FIXTURES_DELETE_SUCCESS' =>  'Fixtures deleted successfully',
    'FIXTURE_DELETE_SUCCESS' =>  'Fixture deleted successfully',
    
    'RESULTS' =>  'Results',
    'RESULTS_EXPLAIN' =>  'Results explanation....',
    'RESULTS_UPDATE_SUCCESS'  =>  'Results updated successfully',
    
    'JAN' =>  'January',
    'FEB' =>  'February',
    'MAR' =>  'March',
    'APR' =>  'April',
    'MAY' =>  'May',
    'JUN' =>  'June',
    'JUL' =>  'July',
    'AUG' =>  'August',
    'SEP' =>  'September',
    'OCT' =>  'October',
    'NOV' =>  'November',
    'DEC' =>  'December',
    
    'HOUR'  =>  'Hour',
    'MINUTE'  =>  'Minute',
    
    // configurations
    'GENERAL_CONFIG'  =>  'General Configuration',
    'GENERAL_CONFIG_EXPLAIN'  => 'Explanation...',
    'SPORTSBOOK_GENERAL_SETTINGS' =>  'General settings',
    
    'LEADERBOARD_LIMIT' =>  'Leaderboard limit',
    'LEADERBOARD_LIMIT_EXPLAIN' =>  'Choose how many users should appear on the Leaderboard',
    
    'PREDICTION_CALC_LIMIT' =>  'Prediction calculation limit',
    'PREDICTION_CALC_LIMIT_EXPLAIN' =>  'When you input results, prediction calculations are done on the fly. This configuration decides how many calculations are done at once. The higher the value, the greater the database load.',
    
    'SPORTSBOOK_DATEBOX_SETTINGS' =>  'Datebox settings',
    'SPORTSBOOK_DATEBOX_CONFIG' =>  'Datebox Configuration',
    'SPORTSBOOK_DATEBOX_CONFIG_EXPLAIN' =>  'Explanation....',
    
    'MONTH_ADVANCE' =>  'Month advance',
    'MONTH_ADVANCE_EXPLAIN'  => 'Choose how many months in advance you can set fixtures.',
    
    'HOURBOX_START' =>  'Hourbox start',
    'HOURBOX_START_EXPLAIN'  => 'Choose the earliest time of day that a fixture can take place.',
    
    'HOURBOX_END' =>  'Hourbox end',
    'HOURBOX_END_EXPLAIN'  => 'Choose the latest time of day a fixture can take place.',
    
    'MINUTEBOX_INCREMENT' =>  'Minutebox increment',
    'MINUTEBOX_INCREMENT_EXPLAIN'  => 'Choose how the minute select option box will increment.',
    
    'SUBMIT_CHANGES'  =>  'Submit Changes',
    'RESTORE_DEFAULTS'  =>  'Restore Defaults',
    
    'CONFIG_UPDATE_SUCCESS'  =>  'Configuration values updated successfully', 
    // end configurations
    
    'DELETE_ALL'  =>  'Delete All',
    'ALL_FIXTURES_PROCESSED'  => 'All results are processed and up to date',
    
    'ERROR_INTRO_NO_LEAGUES'  =>  'Your sportsbook does not contain any leagues',
    'ERROR_INTRO_FIXTURES_REQUIRE_PROCESSING' =>  'There are outstanding fixtures that require results assigned to them',
    
    
    'ERROR_FIXTURE_DAY' =>  'You must select a day',
    'ERROR_FIXTURE_MONTH' =>  'You must select a month',
    'ERROR_FIXTURE_YEAR' =>  'You must select a year',
    'ERROR_FIXTURE_HOUR' =>  'You must select a an hour',
    'ERROR_FIXTURE_MINUTE' =>  'You must select a minute',
    'ERROR_FIXTURES_NOT_PENDING'  => 'There are no pending fixtures',
    
    'ERROR_RESULTS_NO_SCORES_INPUT' =>  'You have not input any scores',
    
    'ERROR_TIME_IN_PAST'  =>  'Date must be at least 10 minutes in the future',
    'ERROR_NO_TEAMS_SELECTED' => 'No teams selected',
    'ERROR_HOMETEAM_MISSING'  =>  'Fixture %d : Home team is missing',
    'ERROR_AWAYTEAM_MISSING'  =>  'Fixture %d : Away team is missing',
    'ERROR_FIXTURE_DUPLICATE_TEAMS' =>  'Fixture %d : Team cannot compete against itself',
    'ERROR_DUPLICATE_TEAMS' =>  'A team cannot be chosen more than once',
        
    'ERROR_NO_LEAGUES'  =>  'There are no leagues to choose from',
    'ERROR_LEAGUE'  =>  'You must select a league',
    
    'CONFIRM_LEAGUE_DELETION' =>  'Are you sure you want to delete <strong>%s</strong>?',
    'CONFIRM_TEAM_DELETION' =>  'Are you sure you want to delete the team <strong>%s</strong>? All future and past fixture data will also be deleted!',
    'CONFIRM_LEAGUE_FIXTURE_DELETION' =>  'Are you sure you want to delete all fixtures for this league on this day?',
    'CONFIRM_FIXTURE_DELETION' =>  'Are you sure you want to delete this fixture?',
    'CONFIRM_CONFIG_RESTORE'  =>  'Are you sure you want to restore all the default configuration settings?',
));

?>